Delete a label
curl --request DELETE \
--url https://{host}/api/{session}/labels/{labelId} \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/labels/{labelId}"
headers = {"apikey": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/labels/{labelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Label deleted successfully"
}
Labels
Delete Label
Delete an existing label
DELETE
/
api
/
{session}
/
labels
/
{labelId}
Delete a label
Description
This endpoint allows you to delete an existing label. When deleting a label, it will be removed from all chats that were using it.URL Parameters
string
required
WhatsApp unique session ID
string
required
ID of the label to be deleted
Response
boolean
Indicates if the label was deleted successfully
{
"success": true,
"message": "Label deleted successfully"
}
Status Codes
200- Label deleted successfully400- Invalid parameters401- Unauthorized404- Label not found
Usage Example
curl -X DELETE https://api.wappfy.com.br/api/my-session/labels/label123
const session = 'my-session';
const labelId = 'label123';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/labels/${labelId}`, {
method: 'DELETE'
});
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
label_id = 'label123'
response = requests.delete(f'https://api.wappfy.com.br/api/{session}/labels/{label_id}')
data = response.json()
print(data)
⌘I
